/**************************************************************************
 *  Copyright (c) 2002  Hartmut Ring, Universitaet Siegen                 *
 *  http://www.math.uni-siegen.de/ring                                    *
 *                                                                        *
 *  This file is part of the pariGUIde package.                           *
 *                                                                        *
 *  pariGUIde is free software; you can redistribute it and/or modify it  *
 *  under the terms of the GNU General Public License (GPL)               *
 *  as published by the Free Software Foundation:                         *
 *  http://www.opensource.org/licenses/gpl-license.html                   *
 *************************************************************************/
// main.cpp

#include <qapplication.h>
#include <qtranslator.h>
#include <qtextcodec.h>

#include "pariGUIwindow.h"

int main( int argc, char** argv ) {
  QApplication app (argc, argv);

#ifdef _LINUX
  QString path = "/usr/share/pariguide/";
#else
  QString path = "";
#endif

 // translation file for Qt
  QTranslator qt(0);
  qt.load( QString( "qt_" ) + QTextCodec::locale(), "." );
  app.installTranslator( &qt );

// translation file for application strings
  QTranslator thisapp(0);
  thisapp.load( path + QString("pariguide.")+ QTextCodec::locale(), ".");
  app.installTranslator(&thisapp);

  PariGuiWindow* window = new PariGuiWindow();
  //window.setGeometry (100, 100, 640, 480);
  app.setMainWidget (window);

  window->resize (720, 540);
  window->show();

  return app.exec();
}
