/**************************************************************************
 *  Copyright (c) 2002  Hartmut Ring, Universitaet Siegen                 *
 *  http://www.math.uni-siegen.de/ring                                    *
 *                                                                        *
 *  This file is part of the pariGUIde package.                           *
 *                                                                        *
 *  pariGUIde is free software; you can redistribute it and/or modify it  *
 *  under the terms of the GNU General Public License (GPL)               *
 *  as published by the Free Software Foundation:                         *
 *  http://www.opensource.org/licenses/gpl-license.html                   *
 *************************************************************************/
// pariGUIwindow.h

#ifndef __PARIGUIWINDOW_H__
#define __PARIGUIWINDOW_H__

#include <qmainwindow.h>

class GpController;
class QToolBar;
class EditWindow;
class QAction;

class PariGuiWindow : public QMainWindow {
	Q_OBJECT
public:
	PariGuiWindow();
	virtual ~PariGuiWindow();
protected:
  virtual void closeEvent (QCloseEvent*);
protected slots:
  void about();
  void quit();
  void demoStep();
  void openDemo();
private:
  GpController* _pariGP;
  QToolBar*     _toolbar;
  EditWindow*   _editWnd;
  QAction*      _stepAction;
};

#endif //__PARIGUIWINDOW_H__
