/**************************************************************************
 *  Copyright (c) 2002  Hartmut Ring, Universitaet Siegen                 *
 *  http://www.math.uni-siegen.de/ring                                    *
 *                                                                        *
 *  This file is part of the pariGUIde package.                           *
 *                                                                        *
 *  pariGUIde is free software; you can redistribute it and/or modify it  *
 *  under the terms of the GNU General Public License (GPL)               *
 *  as published by the Free Software Foundation:                         *
 *  http://www.opensource.org/licenses/gpl-license.html                   *
 *************************************************************************/
// plotview.h

#ifndef __PLOTVIEW_H__
#define __PLOTVIEW_H__

#include <qwidget.h>

class PlotView : public QWidget {
  Q_OBJECT
public:
  PlotView (QWidget* parent=0);
  virtual ~PlotView();

  void beginPlot (double xMin, double xMax, int nValues);
  bool addPlotValue (double y);
  void endPlot();

public slots:
signals:

protected:
  virtual void paintEvent (QPaintEvent*);

private:
  static void round (double& y, bool up, int digits=2);
  void drawGrid (QPainter& p, int d, int e);
  enum PLOTSTATE {NONE, PLOT, BAR};
  PLOTSTATE   _state;

  double _xMin, _xMax;
  double* _y;
  double _yMin, _yMax;

  double _scaleX, _scaleY;
  int    _fontH;

  int    _iValue, _nValues;
  int    _left, _right, _top, _bottom;
};

#endif //__PLOTVIEW_H__
